net.minecraft.network.play.client

## Class C13PacketPlayerAbilities

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.client.C13PacketPlayerAbilities

-     public class C13PacketPlayerAbilities
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C13PacketPlayerAbilities()`
    `C13PacketPlayerAbilities(PlayerCapabilities p_i45257_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `func_149482_g()`
    `void` | `func_149483_b(boolean p_149483_1_)`
    `boolean` | `func_149484_f()`
    `void` | `func_149485_a(float p_149485_1_)`
    `boolean` | `func_149486_e()`
    `boolean` | `func_149488_d()`
    `float` | `func_149489_h()`
    `void` | `func_149490_a(boolean p_149490_1_)`
    `void` | `func_149491_c(boolean p_149491_1_)`
    `void` | `func_149492_b(float p_149492_1_)`
    `void` | `func_149493_d(boolean p_149493_1_)`
    `boolean` | `func_149494_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayServer p_149487_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `java.lang.String` | `serialize()`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### C13PacketPlayerAbilities

          public C13PacketPlayerAbilities()

    - #### C13PacketPlayerAbilities

          public C13PacketPlayerAbilities(PlayerCapabilities p_i45257_1_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayServer p_149487_1_)

    - #### serialize

          public java.lang.String serialize()

      Overrides:
        `serialize` in class `Packet`

    - #### func_149494_c

          public boolean func_149494_c()

    - #### func_149490_a

          public void func_149490_a(boolean p_149490_1_)

    - #### func_149488_d

          public boolean func_149488_d()

    - #### func_149483_b

          public void func_149483_b(boolean p_149483_1_)

    - #### func_149486_e

          public boolean func_149486_e()

    - #### func_149491_c

          public void func_149491_c(boolean p_149491_1_)

    - #### func_149484_f

          public boolean func_149484_f()

    - #### func_149493_d

          public void func_149493_d(boolean p_149493_1_)

    - #### func_149482_g

          public float func_149482_g()

    - #### func_149485_a

          public void func_149485_a(float p_149485_1_)

    - #### func_149489_h

          public float func_149489_h()

    - #### func_149492_b

          public void func_149492_b(float p_149492_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`